---
base_model: unsloth/qwen2-0.5b-bnb-4bit
language:
- en
license: apache-2.0
tags:
- text-generation-inference
- transformers
- unsloth
- qwen2
- trl
- sft
---

1 - ['Below is an instruction that describes a task, paired with an input that provides further context. Write a response that appropriately completes the request.\n\n### Input:\nContinue the fibonnaci sequence.\n\n### Output:\n1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 144, 233, 377, 610, 987, 1597, 2584, 4181, 6765, 10946, 17711, 28657, 46368, 75025, 121393, 196418, 317811']

2 - Below is an instruction that describes a task, paired with an input that provides further context. Write a response that appropriately completes the request.

### Input:
What is fibonacci sequence?

### Output:
The Fibonacci sequence is a series of numbers in which each number is the sum of the two preceding ones, usually starting with 0 and 1. The sequence goes like this: 0, 1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 144, 233, 377, 610, 987, 1597, 2584, 4181, 6765, 10946, 17711, 28657, 46374, 75031, 121305, 196600, 317905, 514511, 832416, 1347927, 2180343, 3528260, 5705503, 9233763, 14949263,

3 - Below is an instruction that describes a task, paired with an input that provides further context. Write a response that appropriately completes the request.

### Input:
crie o jogo da cobrinha completo.

### Output:
``` python 
import random

class Game:
    def __init__(self):
        self.board = []
        self.player = 'X'
        self.player_score = 0
        self.computer_score = 0

    def play(self):
        while True:
            self.board = [['.' for _ in range(3)] for _ in range(3)]
            self.player = 'X'
            self.computer_score = 0
            self.player_score = 0

            for _ in range(3):
                for _ in range(3):
                    self.board[_][_] = '.'

            print(self.board)

            while True:
                user_input = input('Player {}, pick a cell: '.format(self.player))
                if user_input in self.board:
                    self.board[user_input] = self.player
                    self.player = 'O' if self.player == 'X' else 'X'
                    self.player_score += 1
                    if self.player_score == 9:
                        print('Player {} wins!'.format(self.player))
                        return
                else:
                    print('Invalid input. Try again.')

            while True:
                computer_input = random.choice(self.board)
                if computer_input == '.':
                    print('Computer picks {}.'.format(computer_input))
                    break
                self.board[computer_input] = self.computer_score
                self.computer_score += 1
                if self.computer_score == 9:
                    print('Computer wins!'.format(self.computer_score))
                    return
                if self.player == 'X' and self.computer_score == 9:
                    print('It is a draw!')
                    return
                if self.player == 'O' and self.computer_score == 9:
                    print('Player {} wins!'.format(self.player))
                    return

if __name__ == '__main__':
    game = Game()
    game.play()<|endoftext|>

```
# Uploaded  model

- **Developed by:** Ramikan-BR
- **License:** apache-2.0
- **Finetuned from model :** unsloth/qwen2-0.5b-bnb-4bit

This qwen2 model was trained 2x faster with [Unsloth](https://github.com/unslothai/unsloth) and Huggingface's TRL library.

[<img src="https://raw.githubusercontent.com/unslothai/unsloth/main/images/unsloth%20made%20with%20love.png" width="200"/>](https://github.com/unslothai/unsloth)
